###############################################################
##
##  This is a _sample_ 'pdfjam.conf' file.  
##
##  Edit lines below (and un-comment them as necessary) to 
##  override settings made in the 'pdfjam' script itself.  
##  (As distributed, the settings made in this file are the
##  same as those made in the 'pdfjam' script.)
##
##  A file in this format can be used site-wide (as a file named         
##  "pdfjam.conf", in an appropriate location), or for a specific        
##  user (as "~/.pdfjam.conf").  User-specific settings override         
##  site-wide settings. 
##
##  See 'pdfjam --help' for details, including where to put 
##  your edited version of this file; or see the file README.md at
##    https://github.com/rrthomas/pdfjam
##
###############################################################
##
##  UNUSUAL TEX INSTALLATION, OR SPECIFIC LATEX WANTED?
##
##  Specify the full path to the 'latex' to be used.
##  Examples:
#
# latex='/usr/bin/pdflatex'     ## typical unix installation
# latex='/usr/texbin/pdflatex'  ## for MacTeX on Mac OS X?
# latex='C:/texmf/miktex/bin/pdflatex.exe'    ## Windows??
#
# latex='/usr/bin/xelatex'     ## if you want xelatex
# latex='/usr/bin/lualatex'    ## if you want lualatex
##
###############################################################
##
##  TEMPORARY FILES
##
##  Specify the location for temporary files written by pdfjam:
tempfileDir='/var/tmp'  ## fairly standard on many unix systems
# tempfileDir='C:/tmp'  ## use something like this under Cygwin?
##
##  Should temporary files be deleted immediately by default?
tidy='true'     ## overridden by '--no-tidy' in the call
# tidy='false'  ## the alternative
##
###############################################################
##
##  USE OF THE 'PDFINFO' UTILITY
##
##  Specify whether pdfjam and iconv (resp.) should, by default,
##  try to run 'pdfinfo' and 'iconv' (resp.)
##  to preserve source document information in the output:
keepinfo='false'   ## overridden by '--keepinfo' in the call
# keepinfo='true'  ## the alternative
##
##  Specify the 'pdfinfo' program to be used (if any):
# pdfinfo='/usr/bin/pdfinfo'        ## typical unix system
# pdfinfo='/opt/local/bin/pdfinfo'  ## Mac OS X with MacPorts
##
##  Specify the 'iconv' program to be used (if any):
# iconv='/usr/bin/iconv'        ## typical unix system
# iconv='/opt/local/bin/iconv'  ## Mac OS X with MacPorts
##
###############################################################
##
##  USE OF 'file -Lb MYFILE' TO CHECK WHETHER A FILE IS A PDF FILE
##
##  Should the '--checkfiles' option be used by default?
checkfiles='false'    ## overridden by '--checkfiles' in the call;
# checkfiles='true'   ## the alternative                    
##
###############################################################
##
##  DEFAULT PAPER SIZE
##
##  Set the default paper size to be used.  Examples:
# paper='a4paper'         ## for ISO A4 paper size
# paper='letterpaper'     ## for 'US letter' paper size
##
###############################################################
##
##  DEFAULT PATH FOR THE --outfile OPTION 
##
outFile="$pwd"                ## the obvious default
# outFile="$HOME/Documents"   ## (another possibility, perhaps)
# outFile=/dev/stdout         ## (for easy pipes)
##
###############################################################
##
##  OTHER DEFAULTS
##
##  Defaults for some other options:
##
suffix='pdfjam'     ## overridden by '--suffix MYSUFFIX' in the call
##
landscape='false'   ## overridden by '--landscape' in the call
# landscape='true'  ## the alternative
##
twoside='false'     ## overridden by '--twoside' in the call
# twoside='true'    ## the alternative
##
preamble=''         ## concatenate other strings to this by using '--preamble'
##
# enc='utf8'        ## overridden by '--enc ENC' in the call
#                   ## ENC must be one of iconv encodings
##
###############################################################
##  END OF FILE: that's all you can configure here!
